#!/usr/bin/perl -w

################################################################################
#
# This perl script will look at the galleries DBs and image server to check that
# the uncropped and cropped tif files are up to date.
#                      
#  Copyright (c) 2010 Joseph Padfield <joseph.padfield@ng-london.org.uk>
#
#  ---------------------------------------------------------------------------
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   ---------------------------------------------------------------------------
#
#	This script has been developed in Version 8.10 of Unbuntu Linux 
#
#	In addition to perl you will also need to install the following packages:
#
#  # 
#
#	Plus any additional packages that these three rely on.
#		
################################################################################

use DBI;   
use POSIX qw(ceil floor sqrt);
use File::Basename;


my $sv = $ARGV[0];
my $fif = $ARGV[1];

my $url = $sv.'?FIF='.$fif.'&obj=IIP,1.0&obj=Max-size&obj=Tile-size&obj=Resolution-number';

use LWP::Simple;
my $content = get $url;
die "Couldn't get $url" unless defined $content;

# Then go do things with $content, like this:
#print $content."\n";
my @stuff = split(/\n/, $content);

my $width;
my $height;
my $res;

foreach $line (@stuff)
	{
	if ($line =~ /^Max-size[:]([0-9]+)[^0-9]+([0-9]+)/)
		{$width = $1;
		 $height = $2;}
	elsif ($line =~ /^Resolution-number[:]([0-9]+)/)
		{$res = $1;}   
	}
	
my $out = 'array("width" => "'.$width.'", "height" => "'.$height.
	'", "res" => "'.$res.'");';
print "$out";
